## ros-jazzy-sensor-msgs 5.3.5

=== debian/changelog ===
ros-jazzy-sensor-msgs (5.3.5-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Tue, 23 Apr 2024 16:00:00 -0000

ros-jazzy-sensor-msgs (5.3.4-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-sensor-msgs (5.3.3-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Tue, 09 Apr 2024 16:00:00 -0000

ros-jazzy-sensor-msgs (5.3.2-2bookworm) bookworm; urgency=high

  * Clarify the license. (#241 <https://github.com/ros2/common_interfaces/issues/241>)
    In particular, every package in this repository is Apache 2.0
    licensed except for sensor_msgs_py.  So move the CONTRIBUTING.md
    and LICENSE files down into the individual packages, and
    make sure that sensor_msgs_py has the correct CONTRIBUTING.md
    file (it already had the correct LICENSE file).
  * [J-Turtle] Fix uninitialized values in NavSatFix and add missing NavSatStatus UNKNOWN (#220 <https://github.com/ros2/common_interfaces/issues/220>)
    * Fix unitialized values in NavSatFix and add missing UNKNOWN
    * Fixes #196 <https://github.com/ros2/common_interfaces/issues/196>
    * Fix default initialization instead of constants
    * Define SERVICE_UNKNOWN
    Co-authored-by: Tully Foote <mailto:tully.foote@gmail.com>
    Co-authored-by: Martin Pecka <mailto:peci1@seznam.cz>
  * Contributors: Chris Lalancette, Ryan

 -- Tully Foote <tfoote@openrobotics.org>  Tue, 09 Apr 2024 16:00:00 -0000

ros-jazzy-sensor-msgs (5.3.1-2bookworm) bookworm; urgency=high

  * Use target qualifier for checking the cpp typesupport exists (#238 <https://github.com/ros2/common_interfaces/issues/238>)
  * Contributors: Ryan

 -- Tully Foote <tfoote@openrobotics.org>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-sensor-msgs (5.3.0-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-sensor-msgs (5.2.2-2bookworm) bookworm; urgency=high

  * sensor_msgs/CompressedImage: updated description of format field (#231 <https://github.com/ros2/common_interfaces/issues/231>)
  * Contributors: Kenji Brameld

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-sensor-msgs (5.2.1-2bookworm) bookworm; urgency=high

  * Return true for isColor if format is YUYV or UYUV (#229 <https://github.com/ros2/common_interfaces/issues/229>)
  * Contributors: Kenji Brameld

 -- Tully Foote <tfoote@openrobotics.org>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-sensor-msgs (5.2.0-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Tue, 06 Jun 2023 16:00:00 -0000

ros-jazzy-sensor-msgs (5.1.0-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-sensor-msgs (5.0.0-2bookworm) bookworm; urgency=high

  * update YUV format codes and documentation (#214 <https://github.com/ros2/common_interfaces/issues/214>)
  * sensor_msgs/Range lacks variance field (#181 <https://github.com/ros2/common_interfaces/issues/181>)
  * Contributors: Christian Rauch, El Jawad Alaa

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-sensor-msgs (4.7.0-2bookworm) bookworm; urgency=high

  * Update common_interfaces to C++17. (#215 <https://github.com/ros2/common_interfaces/issues/215>)
  * [rolling] Update maintainers - 2022-11-07 (#210 <https://github.com/ros2/common_interfaces/issues/210>)
  * Replaced non-ASCII dash symbol with ASCII dash (#208 <https://github.com/ros2/common_interfaces/issues/208>)
  * Contributors: Audrow Nash, Chris Lalancette, Ivan Zatevakhin

 -- Tully Foote <tfoote@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-jazzy-sensor-msgs (4.6.1-2bookworm) bookworm; urgency=high

  * Add NV21 and NV24 to colour formats (#205 <https://github.com/ros2/common_interfaces/issues/205>)
  * Update BatteryState.msg (#206 <https://github.com/ros2/common_interfaces/issues/206>)
  * Contributors: Borong Yuan, Geoffrey Biggs

 -- Tully Foote <tfoote@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-sensor-msgs (4.6.0-2bookworm) bookworm; urgency=high

  * use regex for matching cv types (#202 <https://github.com/ros2/common_interfaces/issues/202>)
  * Fix outdated file path for image_encodings (#200 <https://github.com/ros2/common_interfaces/issues/200>)
  * Use uint32_t for pointcloud2 resize method (#195 <https://github.com/ros2/common_interfaces/issues/195>)
  * Retain width and height after resize for master (#193 <https://github.com/ros2/common_interfaces/issues/193>)
  * Contributors: Kenji Brameld, Tianyu Li

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-sensor-msgs (4.5.0-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Wed, 18 May 2022 16:00:00 -0000

ros-jazzy-sensor-msgs (4.4.0-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-jazzy-sensor-msgs (4.3.0-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-jazzy-sensor-msgs (4.2.1-2bookworm) bookworm; urgency=high

  * Move the find_package statements for BUILD_TESTING  (#186 <https://github.com/ros2/common_interfaces/issues/186>)
  * Contributors: Michael Jeronimo

 -- Tully Foote <tfoote@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-jazzy-sensor-msgs (4.2.0-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-jazzy-sensor-msgs (4.1.1-2bookworm) bookworm; urgency=high

  * Feedback on conditional sensor_msgs_library target (#1 <https://github.com/ros2/common_interfaces/issues/1>) (#183 <https://github.com/ros2/common_interfaces/issues/183>)
  * [Fix] Fix image_encodings.hpp's URL in README (#184 <https://github.com/ros2/common_interfaces/issues/184>)

